--- title: "getCloudMssqlProductList" slug: "database-vmssql-getcloudmssqlproductlist" updated: 2026-09-17T10:05:51Z published: 2026-09-17T10:05:51Z canonical: "api.ncloud-docs.com/database-vmssql-getcloudmssqlproductlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getCloudMssqlProductList Available in VPC Get the list of Cloud DB for MSSQL server specification codes available. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET \| POST | /vmssql/v2/getCloudMssqlProductList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Cloud DB for MSSQL (VPC) APIs, see [Cloud DB for MSSQL (VPC) request headers](/docs/en/database-vmssql#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameter You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code of the Cloud DB for MSSQL instance to view - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist) - First Region of the `getRegionList` query result (default) | | `zoneCode` | String | Optional | Filter by zone code - See [getZoneList](/docs/en/compute-vserver-server-common-getzonelist) | | `cloudMssqlImageProductCode` | String | Required | Filter by Cloud DB for MSSQL image product code - See [getCloudMssqlImageProductList](/docs/en/database-vmssql-getcloudmssqlimageproductlist) | | `productCode` | String | Optional | Filter by Cloud DB for MSSQL product code - See [getCloudMssqlProductList](/docs/en/database-vmssql-getcloudmssqlproductlist) | | `exclusionProductCode` | String | Optional | Filter by excluding Cloud DB for MSSQL product code - See [getCloudMssqlProductList](/docs/en/database-vmssql-getcloudmssqlproductlist) | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The following is a sample request. ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmssql/v2/getCloudMssqlProductList ?regionNo=KR &cloudMssqlImageProductCode=SW.VMSSL.OS.WND64.WINNT.SVR2016.MSSQL.15043261.EE.B100 &productCode=SVR.VMSSL.HICPU.C002.M004.NET.HDD.B100.G002 &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response body See [ProductList](/docs/en/common-vapidatatype-productlist) for the response body. ### Response status codes For information about the HTTP status codes common to all Cloud DB for MSSQL (VPC) APIs, see [Cloud DB for MSSQL (VPC) response status codes](/docs/en/database-vmssql#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. - If `responseFormatType=json` ``` { "getCloudMssqlProductListResponse": { "totalRows": 1, "productList": [ { "productCode": "SVR.VMSSL.HICPU.C002.M004.NET.HDD.B100.G002", "productName": "vCPU 2EA, Memory 4GB", "productType": { "code": "HICPU", "codeName": "High CPU" }, "productDescription": "2 vCPUs, 4 GB memory", "infraResourceType": { "code": "VMSSL", "codeName": "Cloud DB For MSSQL (VPC)" }, "cpuCount": 2, "memorySize": 4294967296, "diskType": { "code": "NET", "codeName": "Network Storage" } } ], "requestId": "617f50d8-****-****-****-0a2d77efb551", "returnCode": "0", "returnMessage": "success" } } ``` - If `responseFormatType=xml` (default) ``` 617f50d8-****-****-****-0a2d77efb551 0 success 1 SVR.VMSSL.HICPU.C002.M004.NET.HDD.B100.G002 vCPU 2EA, Memory 4GB HICPU High CPU 2 vCPUs, 4 GB memory VMSSL Cloud DB For MSSQL (VPC) 2 4294967296 NET Network Storage ```